<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Knowledgebase - <?php echo stripcslashes($article["subject"]) ?></title>
        <link type="text/css" rel="stylesheet" href="./media/css/front.css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.bxSlider.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($setting["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/front.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#language").val('<?php echo $customer_lang ?>');
            }); 
        </script>
    </head>
    <body>
        <div id="wrapper">
            <div id="menu"> <span class="right"> Language:
                    <select name="language" id="language">
                        <?php for ($i = 0; $i < count($language_list); $i++) {
                              ?>
                              <option value="<?php echo($language_list[$i]); ?>"><?php echo(strtoupper($language_list[$i])); ?></option>
                          <?php } ?>
                    </select>
                </span> <span>
                    <ul>
                          <li><a href="./index.php?c=frontTicket&m=sign" title="Submit a new Ticket">Submit Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=ticketList" title="View Submitted Ticket">History Ticket</a></li>
                          <li><a href="./index.php?c=frontTicket&m=profile" title="Change My Profile Infomation">My Profile</a></li>
                          <li><a href="./index.php?c=frontArticle" title="Search Knowledge Base">Knowledge Base</a></li>
                          <li><a href="./index.php?c=frontTicket&m=signOut" title="Sign Out &amp; Return to Homepage">Sign Out</a></li>
                        <li>&nbsp;</li>
                    </ul>
                </span>
                <div class="clear"></div>
            </div>
            <div class="slider">
                <ul id="banner">
                    <li><img src="./media/front/banner_1.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_2.jpg" width="768" height="260" alt="Banner" /></li>
                    <li><img src="./media/front/banner_3.jpg" width="768" height="260" alt="Banner" /></li>
                </ul>
            </div>
            <div class="clear"></div>
            <div id="subnav">Customer Area / Article View</div>
            <div id="content">
                <div class="art-title"><?php echo stripcslashes($article['subject']); ?></div>
                <div class="post-info">
                    <span class="right"><img src='./media/images/star_<?php echo($vote_img); ?>.png' alt="" name="star_img" width="86" height="16" align="absmiddle" id="star_img" /></span>
                    <span>
                        <?php echo($lang['created_on']); ?>: <?php echo(($article['create_date'])); ?> |
                        <?php echo($lang['category']); ?>: <?php echo($article_category); ?>  |
                        <?php echo($lang['views']); ?>: <?php echo($article['views']); ?> |
                        <?php echo($lang['votes']); ?>: <font id="votes"><?php echo ($article['votes']) ?></font>
                    </span>
                </div>
                <div class="message">
                    <?php
                      if ($article['is_html'] == 1) {
                          echo(stripslashes($article['content']));
                      } else {
                          echo(nl2br(strip_tags(stripslashes($article['content']))));
                      }
                    ?>
                    <div class="clear"></div>
                </div>
                <!-- Attachments -->
                <?php if (count($attachment)) {
                      ?>
                      <div>
                          <div><?php echo($lang['attachments']); ?>:</div>
                          <?php foreach ($attachment as $value) {
                              ?>
                              <div class="attach_list"><a href="./index.php?c=download&model=article&key=<?php echo($value['rand_key']) ?>&id=<?php echo($value['id']) ?>"><?php echo($value['real_name']) ?></a> [<?php echo($value['file_size']); ?>] </div>
                          <?php } ?>
                      </div>
                  <?php } ?>

                <!--rated -->
                <?php if (empty($rated)) {
                      ?>
                      <div id="rate" class="rate" >
                          <?php echo($lang['is_helpful']); ?>
                          <a rel="nofollow" onclick="voteArticle(5,<?php echo($article['id']); ?>)" href="Javascript:void(0)"><img src="./media/front/hand_up.png" alt="yes" width="16" height="16" align="absmiddle" title="yes"/></a> /
                          <a rel="nofollow" onclick="voteArticle(0,<?php echo($article['id']); ?>)" href="Javascript:void(0)"><img src="./media/front/hand_down.png" alt="no" width="16" height="16" align="absmiddle" title="no" /></a>
                      </div>
                  <?php } ?>
                <div class="clear"></div><br />

                <div class="form-submit">
                    <input name="Back_btn" type="button" id="Back_btn" value="<?php echo($lang['go_back']); ?>" onclick="window.location.href='javascript:history.back()'" />
                </div>
            </div>
            <div id="copyright"><?php echo($setting['site_copyright']); ?></div>
        </div>

    </body>
</html>
