<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"> 

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Setup 4 - <?php echo $set["product_name"] . " " . $set["product_version"]; ?></title>
        <link href="style.css" rel="stylesheet" type="text/css" />
        <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="js/jquery.form.js"></script>
        <script type="text/javascript" src="js/kode_functions.js"></script>
    </head>

    <body>
        <div id="container">
            <div id="head">
                <div id="banner"><img src="images/top_head.gif" width="200" height="120" alt="Top" /></div>
                <div id="logo"><img src="images/logo.png" width="216" height="80" alt="Logo" /></div>
            </div>
            <div id="area">Version: <?php echo $set["product_version"]; ?> </div>
            <div id="main">
                <div id="content_left">
                    <div class="title"><?php echo($lang['installation_completed']); ?></div>
                    <div>
                        <p style="text-align:center">&nbsp;</p>
                        <p style="text-align:center"><img src="images/completed.png" width="128" height="128" alt="Completed" /></p>
                        <h3><?php echo($lang['congratulations']); ?>! </h3>
                        <p><?php echo($lang['installed_successfully']); ?> <?php echo $set["product_name"] . " " . $set["product_version"]; ?>. <br />
                            <?php echo($lang['thanks_choosing_PHPKode']); ?></p>
                        <div id="notice"><?php echo($lang['delete_installer']); ?></div>
                    </div>
                    <div class="btn-box">
                        <input type="button" class="kode_button kode_button-blue" value="<?php echo($lang['visit_installed_program']); ?>" onclick="window.location.href='../index.php'" />
                        <input type="button" class="kode_button kode_button-green" value="<?php echo($lang['visit_official_site']); ?>" onclick="window.location.href='<?php echo $set["product_official_site"]; ?>'" />
                    </div>
                    <div style="clear:both;"></div>
                </div>
                <div id="content_right">
                    <div  id="kode_step">
                        <div id="title"><?php echo($lang['installation_steps']); ?></div>
                        <ul>
                            <li><?php echo($lang['license']); ?></li>
                            <li><?php echo($lang['requirement']); ?></li>
                            <li><?php echo($lang['parameters']); ?></li>
                            <li><?php echo($lang['installing']); ?></li>
                            <li class="now"><?php echo($lang['completed']); ?></li>
                        </ul>
                    </div>
                </div>
                <div class="spacer"></div>
            </div>
            <div id="footer">
                <div id="copyright"><?php echo $set["product_copyright"] ?></div>
            </div>
        </div>
    </body>
</html>