$(document).ready(function(){

    if($ ("#tablehover").length>0){
        hoverTagBg("tablehover","tr","#F9F9F9","#FFF","#FAFAFA");
    }

    $("#nav > li").click(function(){

        if($(this).children("span").attr('class') != "expanded"){

            $(".submenu").slideUp("medium");
            $("#nav > li > span").attr("class","collapsed");

            $(this).children("span").attr("class","expanded");
            $(this).children(".submenu").slideDown("medium");
        }
    });
    
    $("#checkall").click(function(){
        var checked_status = this.checked;
        $("input[name='ids[]']").each(function()
        {
            this.checked = checked_status;
        });
    });

    $("input[name='ids[]']").click(function(){
        if (this.checked == false){
            $("#checkall").attr('checked', false);
        }
    });

    if($("#onlinetimer").length>0){        
        $("#onlinetimer").everyTime('59s',function(){
            setOnline();
        });
    }    

});


function setOnline(){
    $.ajax({
        url : "index.php?c=account&m=setOnline",
        type : "get",
        datatype : "text",
        success : function(){
        }
    });
    $.ajax({
        url : "index.php?c=ticket&m=checkNew",
        type : "get",
        dataType : "text",
        success : function(data){
            if(data != "0"){                
                $("#nav_notifier").html(data);
                $("#nav_notifier").show();
            }else{
                $("#nav_notifier").hide();
            }
            
        }
    });
}

function hoverTagBg(domemberId,hoverTag,color){
    var hoverElemt = document.getElementById(domemberId).getElementsByTagName(hoverTag);
    var formerlyColor = new Array();
    var len = hoverElemt.length;
    for(var i=1;i<len;i++){
        if(typeof(arguments[3]) != 'undefined' && i % 2 == 1) {
            hoverElemt[i].style.backgroundColor = arguments[3];
        }
        if(typeof(arguments[4]) != 'undefined' && i % 2 == 0) {
            hoverElemt[i].style.backgroundColor = arguments[4];
        }
        if(color != '') {
            hoverElemt[i].onmouseover = function(){
                formerlyColor[i] = this.style.backgroundColor;
                this.style.backgroundColor = color;
            }
            hoverElemt[i].onmouseout = function(){
                this.style.backgroundColor = formerlyColor[i];
            }
        }
    }
}

function showObj(obj, tipObj){
    if(tipObj != null){
        if(obj.is(":visible") == false){
            tipObj.html("Hide more &lt;&lt;");
        }else{
            tipObj.html("Show more &gt;&gt;");
        }
    }
    
    obj.slideToggle();
}

function checkObjBlank(obj){
    if($(obj).length == 0){
        return true;
    }
    
    if($(obj).val() == ''){
        $(obj).css("border-color","red");
        return false;
    }
    else{
        $(obj).css("border-color","#CDCDCD");
        return true;
    }
}

function showNotice(status, noticeText, timeout){
    if($('#notification-box').length == 0){
        return false;
    }
    
    if($("#notification-box").is(":visible")){
        setTimeout( function(){
            $("#notification-box").fadeOut("fast");
        }, ( 1000 ) );
    }
    
    if(status == null || status == ""){
        status = "success";
    } 
    
    $("#notification").removeClass();
    $("#notification").addClass(status);
    
    if(noticeText == null || noticeText == ""){ 
        $("#notification").html("Processing your request. Please wait...");
    }else{
        $("#notification").html(noticeText);
    }
    
    $("#notification-box").fadeIn("slow");
    
    $("#notification-box").css("height", $(document).height());
    $("#notification").css("left", ($(document).width()- $("#notification").width())/2+"px");
    $("#notification").css("top", ($(window).height()- 60)/2+"px");
    
    if(timeout != null && timeout > 0){
        setTimeout( function(){
            $("#notification-box").fadeOut("slow");
        }, ( timeout ) );
    }
    
    return false;
}

function hideTips(){
    $("#notification-box").fadeOut("slow");
    return false;
}

function checkObjLen(obj, minLen){
    if($(obj).val().length < minLen){
        $(obj).css("border-color","red");
        return "length can not be less than " + minLen;
    }
    else{
        $(obj).css("border-color","#CDCDCD");
        return "";
    }
}

function checkObjEmail(obj){
    if($(obj).val().search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1){
        $(obj).css("border-color","#CDCDCD");
        return true;
    }
    else{
        $(obj).css("border-color","red");
        return false;
    }
}

function clickIpt(obj){
    if($(obj).val().length == 0){
        $(obj).css("border-color","#459FC7");
        return true;
    }
    $(obj).css("border-color","#CDCDCD");
    return true;
}

function showWaiting(){
    $('#waiting-box').css("display", "inline");
}

function hideWaiting(){
    $('#waiting-box').css("display", "none");
    $("#background").css("display","none");
}

function load_fancybox(){
    $(".popupwin").fancybox({
        'width':750,
        'height':600,
        'padding':0,
        'margin':0,
        'scrolling':'no',
        'autoDimensions':false,
        'autoScale': false,
        'transitionIn': 'none',
        'transitionOut': 'none',
        'type': 'iframe'
    });
}

function checkUserExist(username, user_id,email_account_id){
    if($.trim(username).length < 2){
        return false;
    }
    $.ajax({
        url : "index.php?c=user&m=checkUserExist",
        type: "get",
        dataType : "text",
        data : "username="+username+"&user_id="+user_id+"&email_account_id="+email_account_id,
        success: function(responseText){
            if(responseText == "FALSE"){
                $("#check_username img").attr("src",'./media/images/public_status_1.png');
            }
            else if(responseText == "TRUE"){
                $("#check_username img").attr("src",'./media/images/public_status_0.png');
            }
            else{
                showNotice('error',responseText,2000);
            }
        }
    });
    return false;
}

function checkEmailExist(email,user_id,email_account_id){
    if($.trim(email).length < 2){
        return false;
    }

    if(email.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) == -1){
        return false;
    }
    
    $.ajax({
        url : "index.php?c=user&m=checkEmailExist",
        type: "get",
        dataType : "text",
        data : "email="+email+"&user_id="+user_id+"&email_account_id="+email_account_id,
        success: function(responseText){
            if(responseText == "FALSE"){
                $("#check_email img").attr("src",'./media/images/public_status_1.png');
            }
            else if(responseText == "TRUE"){
                $("#check_email img").attr("src",'./media/images/public_status_0.png');
            }
            else{
                showNotice('error',responseText,2000);
            }
        }
    });
    return false;
}