<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Sign Log - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="./media/css/date_input.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/jquery.date_input.min.js"></script>
        <script type="text/javascript" >
            $(document).ready(function () {
                $($.date_input.initialize);
                $("#clean").click(function(){
                    $("#signLog input[type='text']").val("");
                });
            });
            $(function() {
                $("#from_date,#to_date").date_input();
            })
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                    <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                    <li><?php echo($lang['tool_signed_title']); ?></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                    <div class="clear"></div>

                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <div id="list_info">
                            <div class="quick_button">
                                <form action="index.php?c=log&m=signInLog" method="get" name="signLog" id="signLog">
                                    <table width="100%" border="0" cellpadding="0" cellspacing="0" >
                                        <tr>
                                            <td width="120" nowrap="nowrap"><?php echo $lang['key_word']; ?></td>
                                            <td><input type="text" class="ipt half1" name="key_word"  id="key_word" value="<?php echo $key_word; ?>"/></td>
                                            <td>From                                  </td>
                                            <td><input class="input_date"  type="text" id="from_date" name="from_date" value="<?php echo $from_date; ?>"/></td>
                                            <td>To                                  </td>
                                            <td><input class="input_date"  type="text" id="to_date" name="to_date" value="<?php echo $to_date; ?>"/></td>
                                            <td><input type="submit" value="Show" class="btn btn_blue" /></td>
                                            <td><input type="button" value="Clean" class="btn btn_green" id="clean" /></td>
                                        </tr>
                                    </table>
                                    <input name="c" type="hidden" value="log" />
                                    <input name="m" type="hidden" value="signIn" />
                                </form>
                            </div>
                            <div class="record_count"><?php echo($lang['result']); ?>: <span id="cur_number"><?php echo($total_rows); ?></span></div>
                        </div>
                        <div class="clear"></div>
                        <?php
                          if ($sign_list) {
                              ?>
                              <div id="list">
                                  <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                                      <tr>
                                          <th width="60"><?php echo $lang['status']; ?></th>
                                          <th><?php echo $lang["username"]; ?></th>
                                          <th width="140"><?php echo $lang["client_ip"]; ?></th>
                                          <th width="140"><?php echo $lang["sign_data"]; ?></th>

                                      </tr>
                                      <?php foreach ($sign_list as $sign) {
                                          ?>
                                          <tr>
                                              <td align="center"><img src="./media/images/log_status_<?php echo($sign['status']); ?>.png" width="16" height="16" alt="Log Status" /></td>
                                              <td><?php echo $sign['username'] ?></td>
                                              <td><?php echo $sign['client_ip'] ?></td>
                                              <td><?php echo $sign['create_date'] ?></td>
                                          </tr>
                                      <?php } ?>
                                  </table>
                                  <div id="page-list"><?php echo $page_link ?></div>

                              </div>
                              <?php
                          } else {
                              ?>
                              <div class='notice'><?php echo($lang['no_match_record']); ?></div>
                              <?php
                          }
                        ?>
                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div></div>
            <div class="clear"></div>

        			<div id="onlinetimer"></div>
        </body>
</html>
