<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang['general_settings']); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/ticket.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("input[name='data[ticket_attach_on]'][value='<?php echo $ticket_setting['ticket_attach_on'] ?>']").attr("checked",true);
                $("input[name='data[ticket_auto_response]'][value='<?php echo($ticket_setting['ticket_auto_response']); ?>']").attr('checked', true);

            })
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="Search Ticket" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='Search Ticket')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="location" width="13" height="13" /></li>
                <li><strong><?php echo($lang['nav_location']); ?>:</strong></li>
                <li><?php echo($lang['Ticket setting']); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang['logged_as']); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang['profile']); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang['logout']); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang['dashboard']); ?></a></div>
                <div class="clear"></div>
                <div>
                    <?php echo($menu); ?>
                  </div>
              </div>
              <div id="rightside">
                  <div id="content">
                      <div id="list_info"></div>
                      <form action="./index.php?c=ticket&m=updateSetting" method="post" name="updateSetting" id="updateSetting">
                          <div class="sub-category-0">
                              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                  <tr>
                                      <td width="400"><?php echo($lang['ticket_autoclose_day']); ?>:<span class="required"></span></td>
                                      <td><input name="data[ticket_autoclose_day]" type="text" class="form-input" id="ticket_autoclose_day" value="<?php echo $ticket_setting['ticket_autoclose_day'] ?>" size="10"  onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" />
                                        <?php echo $lang['date_days']; ?></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['ticket_attach_on']); ?></td>
                                      <td><input type="radio" name="data[ticket_attach_on]" id="ticket_attach_on_1" value="1" />
                                          Yes |
                                          <input type="radio" name="data[ticket_attach_on]" id="ticket_attach_on_0" value="0" />
                                          No</td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['ticket_attach_size']); ?>:<span class="required"></span></td>
                                      <td><input name="data[ticket_attach_size]" type="text" class="form-input" id="ticket_attach_size" value="<?php echo $ticket_setting['ticket_attach_size'] ?>" size="10" maxlength="10" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" />
                                          Kb</td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['ticket_attach_number']); ?>:<span class="required"></span></td>
                                      <td><input name="data[ticket_attach_number]" type="text" class="form-input" id="ticket_attach_number" value="<?php echo $ticket_setting['ticket_attach_number'] ?>" size="5" maxlength="2"  onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" /></td>
                                  </tr>
                                  <tr>
                                      <td> Open Autoresponder</td>
                                      <td><input type="radio" name="data[ticket_auto_response]" id="ticket_auto_response_1" value="1" />
                                          Yes |
                                          <input type="radio" name="data[ticket_auto_response]" id="ticket_auto_response_0" value="0" />
                                          No</td>
                                  </tr>
                                  <tr>
                                      <td>Auto Response Interval :<span class="required"></span></td>
                                      <td><input name="data[ticket_response_interval]" type="text" class="form-input" id="ticket_response_interval" onblur="return checkReqNum($(this))" value="<?php echo $ticket_setting['ticket_response_interval'] ?>" size="10" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" />
                                        <?php echo $lang['date_sec']; ?></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['ticket_idle_nonresponse']); ?>:<span class="required"></span></td>
                                      <td><input name="data[ticket_idle_nonresponse]" type="text" class="form-input" id="ticket_idle_nonresponse" onblur="return checkReqNum($(this))" value="<?php echo $ticket_setting['ticket_idle_nonresponse'] ?>" size="10" onkeyup="this.value=this.value.replace(/\D/g,'')" onafterpaste="this.value=this.value.replace(/\D/g,'')" />
                                        <?php echo $lang['date_sec']; ?></td>
                                  </tr>
                                  <tr>
                                      <td><?php echo($lang['ticket_id_prefix']); ?>:<span class="required"></span></td>
                                      <td><input name="data[ticket_id_prefix]" type="text" class="form-input" id="ticket_id_prefix" value="<?php echo $ticket_setting['ticket_id_prefix'] ?>" size="10" onclick="return clickIpt($(this))" /></td>
                                  </tr>
                              </table>
                          </div>
                          <div class="bottom-options">
                              <input type="submit" class="btn big btn-blue" value="<?php echo($lang['save_settings']); ?>" name="submit-bn" />
                          </div>
                      </form>
                  </div>
                  <div id="footer">
                      <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="Company Logo" align="absmiddle" /> | <?php echo($lang['latest_version']); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
